package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 学生使用功能时间表
 */
@TableName("student_time")
@ApiModel(value = "StudentTime对象", description = "学生使用功能时间表")
public class StudentTime implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId(value = "user_id_", type = IdType.AUTO)
    private Long userId;
    @ApiModelProperty("第一次购买vip时间 ")
    @TableField(value = "first_vip_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date firstVipTime;
    @ApiModelProperty("第一次购买陪练课时间 ")
    @TableField(value = "first_practice_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date firstPracticeTime;
    @ApiModelProperty("第一次购买视频课时间 ")
    @TableField(value = "first_video_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date firstVideoTime;
    @ApiModelProperty("第一次直播课购买时间 ")
    @TableField(value = "first_live_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date firstLiveTime;
    @ApiModelProperty("第一次购买乐曲时间 ")
    @TableField(value = "first_music_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date firstMusicTime;
    @ApiModelProperty("第一次商城购买时间 ")
    @TableField(value = "first_mall_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date firstMallTime;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Date getFirstVipTime() {
        return firstVipTime;
    }

    public void setFirstVipTime(Date firstVipTime) {
        this.firstVipTime = firstVipTime;
    }

    public Date getFirstPracticeTime() {
        return firstPracticeTime;
    }

    public void setFirstPracticeTime(Date firstPracticeTime) {
        this.firstPracticeTime = firstPracticeTime;
    }

    public Date getFirstVideoTime() {
        return firstVideoTime;
    }

    public void setFirstVideoTime(Date firstVideoTime) {
        this.firstVideoTime = firstVideoTime;
    }

    public Date getFirstLiveTime() {
        return firstLiveTime;
    }

    public void setFirstLiveTime(Date firstLiveTime) {
        this.firstLiveTime = firstLiveTime;
    }

    public Date getFirstMusicTime() {
        return firstMusicTime;
    }

    public void setFirstMusicTime(Date firstMusicTime) {
        this.firstMusicTime = firstMusicTime;
    }

    public Date getFirstMallTime() {
        return firstMallTime;
    }

    public void setFirstMallTime(Date firstMallTime) {
        this.firstMallTime = firstMallTime;
    }

}